Перейти к содержимому

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. In this case, a user's JWT is used. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "ru": "Crystals"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
Скачать описание OpenAPI
Языки
Серверы
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ru/api/catalog/
Операции
Операции
Операции
Операции
Операции
Операции
Операции
Операции

Корзина (на стороне клиента)

Операции

Корзина (на стороне сервера)

Операции

Оплата (на стороне клиента)

Операции

Оплата (на стороне сервера)

Операции
Операции
Операции
Операции
Операции
Операции
Операции
Операции

Catalog

Данный API позволяет получать продаваемые товары любого вида или конкретный товар.

Операции

Получение списка продаваемых товаровClient-side

Запрос

Получает список продаваемых товаров для построения каталога.

Внимание

Все проекты имеют ограничение на количество товаров, которые вы можете получить в ответе. Значение по умолчанию и максимальное значение — 50 товаров на ответ.Чтобы получить больше данных постранично, используйте поля limit и offset.

Примечание

Использование каталога товаров доступно без авторизации, но для получения персонализированного каталога необходимо передать JWT пользователя в заголовке Authorization.
Безопасность
XsollaLoginUserJWT
Путь
project_idintegerобязательный

ID проекта. Вы можете найти этот параметр в Личном кабинете рядом с названием проекта.

Пример: 59080
Запрос
limitinteger>= 1

Лимит количества элементов на странице.

Пример: limit=50
offsetinteger>= 0

Номер элемента, с которого выполняется вывод на странице (нумерация ведется с 0).

Пример: offset=0
localestring

Язык ответа. Двухбуквенный код языка в нижнем регистре в соответствии с ISO 639-1.

По умолчанию "en"
additional_fields[]Array of strings

Список дополнительных полей. Эти поля будут указаны в ответе, если вы отправите их в своем запросе.

Элементы Перечисление"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

Двухбуквенное обозначение страны в верхнем регистре согласно стандарту ISO 3166-1 alpha-2. Ознакомьтесь со списком стран, поддерживаемых Xsolla, а также с процессом определения страны.

Пример: country=US
promo_codestring[ 1 .. 128 ] characters

Уникальный код, чувствительный к регистру. Содержит буквы и цифры.

Пример: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

Отображает предметы с ограниченным сроком действия, которые недоступны пользователю. Срок действия таких предметов еще не начался или уже истек.

По умолчанию 0
Пример: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/59080/items?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Ответы

Список продаваемых товаров успешно получен.

Телоapplication/json
has_moreboolean(Pagination_has-more)

Используется как индикатор того, что остались еще страницы.

Пример: true
itemsArray of objects
Пример: [{"attributes":[],"can_be_bought":true,"description":"","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_free":false,"item_id":259765,"limits":{"per_user":{"available":3,"limit_exceeded_visibility":"show","recurrent_schedule":{"interval_type":"weekly","reset_next_date":1746057600},"total":5}},"name":"Gold","price":{"amount":"1.00","amount_without_discount":"1.00","currency":"USD"},"sku":"com.xsolla.gold_1","type":"virtual_currency","virtual_prices":[],"vp_rewards":[{"amount":130,"image_url":"https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg","item_id":175232,"name":"Value point","sku":"com.xsolla.value_point_1"},{"amount":50,"image_url":"https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg","is_clan":true,"item_id":186321,"name":"Clan Reward VP 1","sku":"com.xsolla.clan_value_point_1"}]},{"attributes":[],"can_be_bought":true,"description":"","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_free":false,"item_id":259766,"limits":null,"name":"Silver","price":{"amount":"0.50","amount_without_discount":"0.50","currency":"USD"},"sku":"com.xsolla.silver_1","type":"virtual_currency","virtual_prices":[],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_free":false,"item_id":259767,"limits":null,"name":"Bronze","price":{"amount":"0.10","amount_without_discount":"0.10","currency":"USD"},"sku":"com.xsolla.bronze_1","type":"virtual_currency","virtual_prices":[],"vp_rewards":[]},{"attributes":[],"bundle_type":"virtual_currency_package","can_be_bought":true,"content":[{"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","item_id":259765,"name":"Gold","quantity":10,"sku":"com.xsolla.gold_1","type":"virtual_currency"}],"description":"Chest of gold","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/61b8d0785093017ce1f50ebed55c42a9.png","is_free":false,"item_id":259768,"limits":null,"name":"Chest of gold","price":{"amount":"7.99","amount_without_discount":"7.99","currency":"USD"},"sku":"com.xsolla.gold_chest_1","type":"bundle","virtual_prices":[],"vp_rewards":[]},{"attributes":[],"bundle_type":"virtual_currency_package","can_be_bought":true,"content":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"name":"Silver","quantity":50,"sku":"com.xsolla.silver_1","type":"virtual_currency"}],"description":"Chest of silver","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/f0b59a3370404e8881107249051b70bd.png","is_free":false,"item_id":259769,"limits":null,"name":"Chest of silver","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"sku":"com.xsolla.silver_chest_1","type":"bundle","virtual_prices":[],"vp_rewards":[]},{"attributes":[],"bundle_type":"virtual_currency_package","can_be_bought":true,"content":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"name":"Bronze","quantity":100,"sku":"com.xsolla.bronze_2","type":"virtual_currency"}],"description":"Chest of bronze","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/b32eb5b1f4f0c202ea6ac4e21c2eae18.png","is_free":false,"item_id":259770,"limits":null,"name":"Chest of bronze","price":{"amount":"5.99","amount_without_discount":"5.99","currency":"USD"},"sku":"com.xsolla.bronze_chest_1","type":"bundle","virtual_prices":[],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Sword","groups":[{"external_id":"swords","name":"Swords"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/a558727a420cad609556e4449b9ecb12.png","is_free":false,"item_id":259771,"limits":null,"name":"Sword","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"sku":"com.xsolla.sword_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_2","type":"virtual_currency"},{"amount":5,"amount_without_discount":5,"calculated_price":{"amount":"5.00","amount_without_discount":"5.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_2","type":"virtual_currency"},{"amount":50,"amount_without_discount":50,"calculated_price":{"amount":"50.00","amount_without_discount":"50.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_2","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Saber","groups":[{"external_id":"swords","name":"Swords"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/edd914d60301d77b94926478d253fcb6.png","is_free":false,"item_id":259772,"limits":null,"name":"Saber","price":{"amount":"3.99","amount_without_discount":"3.99","currency":"USD"},"sku":"com.xsolla.saber_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":3,"amount_without_discount":3,"calculated_price":{"amount":"3.00","amount_without_discount":"3.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_3","type":"virtual_currency"},{"amount":7,"amount_without_discount":7,"calculated_price":{"amount":"7.00","amount_without_discount":"7.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_3","type":"virtual_currency"},{"amount":70,"amount_without_discount":70,"calculated_price":{"amount":"70.00","amount_without_discount":"70.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_3","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Bow","groups":[{"external_id":"bows","name":"Bows"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/3bb3b0a5254ad15134c891108898363f.png","is_free":false,"item_id":259773,"limits":null,"name":"Bow","price":{"amount":"4.99","amount_without_discount":"4.99","currency":"USD"},"sku":"com.xsolla.bow_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":5,"amount_without_discount":5,"calculated_price":{"amount":"5.00","amount_without_discount":"5.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_4","type":"virtual_currency"},{"amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_4","type":"virtual_currency"},{"amount":100,"amount_without_discount":100,"calculated_price":{"amount":"100.00","amount_without_discount":"100.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_4","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Electric shield","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png","is_free":false,"item_id":259774,"name":"Electric shield","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"sku":"com.xsolla.electric_shield_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_5","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_5","type":"virtual_currency"},{"amount":200,"amount_without_discount":200,"calculated_price":{"amount":"200.00","amount_without_discount":"200.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_5","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Royal shield","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/ed417975312a52efeeab8b039ff25cb1.png","is_free":false,"item_id":259775,"name":"Royal shield","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"sku":"com.xsolla.royal_shield_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_6","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_6","type":"virtual_currency"},{"amount":400,"amount_without_discount":400,"calculated_price":{"amount":"400.00","amount_without_discount":"400.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_6","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Ancient helmet","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/e70e16d9626f435e519fc8e1cc1e7176.png","is_free":false,"item_id":259776,"name":"Ancient helmet","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"sku":"com.xsolla.ancient_helmet_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_7","type":"virtual_currency"},{"amount":4,"amount_without_discount":4,"calculated_price":{"amount":"4.00","amount_without_discount":"4.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_7","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_7","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Wooden helmet","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/40d2812e52ad9d988ac20fc842fc66f0.png","is_free":false,"item_id":259777,"name":"Wooden helmet","price":{"amount":"0.99","amount_without_discount":"0.99","currency":"USD"},"sku":"com.xsolla.wooden_helmet_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":1,"amount_without_discount":1,"calculated_price":{"amount":"1.00","amount_without_discount":"1.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_8","type":"virtual_currency"},{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_8","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_8","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"bundle_type":"standard","can_be_bought":true,"content":[{"attributes":[],"can_be_bought":true,"description":"Electric shield","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png","is_free":false,"item_id":259774,"name":"Electric shield","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"quantity":1,"sku":"com.xsolla.electric_shield_2","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_10","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_10","type":"virtual_currency"},{"amount":200,"amount_without_discount":200,"calculated_price":{"amount":"200.00","amount_without_discount":"200.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_10","type":"virtual_currency"}]},{"attributes":[],"can_be_bought":true,"description":"Ancient helmet","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/e70e16d9626f435e519fc8e1cc1e7176.png","is_free":false,"item_id":259776,"name":"Ancient helmet","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"quantity":1,"sku":"com.xsolla.ancient_helmet_2","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_11","type":"virtual_currency"},{"amount":4,"amount_without_discount":4,"calculated_price":{"amount":"4.00","amount_without_discount":"4.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_11","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_11","type":"virtual_currency"}]}],"description":"Chest of armour","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/5212202f9b8c9dbd254652d6cbeba03e.png","is_free":false,"item_id":259778,"name":"Chest of armor","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"sku":"com.xsolla.armor_chest_1","total_content_price":{"amount":"11.98","amount_without_discount":"11.98","currency":"USD"},"type":"bundle","virtual_prices":[{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_9","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_9","type":"virtual_currency"},{"amount":400,"amount_without_discount":400,"calculated_price":{"amount":"400.00","amount_without_discount":"400.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_9","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"bundle_type":"standard","can_be_bought":true,"content":[{"attributes":[],"can_be_bought":true,"description":"Saber","groups":[{"external_id":"swords","name":"Swords"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/edd914d60301d77b94926478d253fcb6.png","is_free":false,"item_id":259772,"name":"Saber","price":{"amount":"3.99","amount_without_discount":"3.99","currency":"USD"},"quantity":1,"sku":"com.xsolla.saber_2","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":3,"amount_without_discount":3,"calculated_price":{"amount":"3.00","amount_without_discount":"3.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_13","type":"virtual_currency"},{"amount":7,"amount_without_discount":7,"calculated_price":{"amount":"7.00","amount_without_discount":"7.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_13","type":"virtual_currency"},{"amount":70,"amount_without_discount":70,"calculated_price":{"amount":"70.00","amount_without_discount":"70.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_13","type":"virtual_currency"}]},{"attributes":[],"bundle_type":"virtual_currency_package","can_be_bought":true,"content":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","item_id":259766,"name":"Silver","quantity":50,"sku":"com.xsolla.silver_14","type":"virtual_currency"}],"description":"Chest of silver","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/f0b59a3370404e8881107249051b70bd.png","is_free":false,"item_id":259769,"name":"Chest of silver","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"quantity":10,"sku":"com.xsolla.silver_chest_2","type":"bundle","virtual_prices":[]},{"attributes":[],"bundle_type":"virtual_currency_package","can_be_bought":true,"content":[{"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","item_id":259767,"name":"Bronze","quantity":100,"sku":"com.xsolla.bronze_11","type":"virtual_currency"}],"description":"Chest of bronze","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/b32eb5b1f4f0c202ea6ac4e21c2eae18.png","is_free":false,"item_id":259770,"name":"Chest of bronze","price":{"amount":"5.99","amount_without_discount":"5.99","currency":"USD"},"quantity":100,"sku":"com.xsolla.bronze_chest_2","type":"bundle","virtual_prices":[]}],"description":"Treasure Chest","groups":[],"image_url":"https://cdn3.xsolla.com/img/misc/images/7b1c0136d91398f9ab17924deee5eeec.png","is_free":false,"item_id":259779,"name":"Treasure Chest","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"sku":"com.xsolla.treasure_chest_1","total_content_price":{"amount":"802.89","amount_without_discount":"802.89","currency":"USD"},"type":"bundle","virtual_prices":[{"amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_12","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_12","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":"","image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_12","type":"virtual_currency"}],"vp_rewards":[]}]
Ответ
application/json
{ "has_more": false, "items": [ {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {} ] }

Получение списка продаваемых товаров по указанной группеClient-side

Запрос

Получает список продаваемых товаров из указанной группы для построения каталога.

Внимание

Все проекты имеют ограничение на количество товаров, которые вы можете получить в ответе. Значение по умолчанию и максимальное значение — 50 товаров. Чтобы получить больше данных постранично, используйте поля limit и offset.

Примечание

Использование каталога товаров доступно без авторизации, но для получения персонализированного каталога необходимо передать JWT пользователя в заголовке Authorization.
Безопасность
XsollaLoginUserJWT
Путь
project_idintegerобязательный

ID проекта. Вы можете найти этот параметр в Личном кабинете рядом с названием проекта.

Пример: 59080
external_idstringобязательный

External ID группы.

По умолчанию "armour"
Запрос
limitinteger>= 1

Лимит количества элементов на странице.

Пример: limit=50
offsetinteger>= 0

Номер элемента, с которого выполняется вывод на странице (нумерация ведется с 0).

Пример: offset=0
localestring

Язык ответа. Двухбуквенный код языка в нижнем регистре в соответствии с ISO 639-1.

По умолчанию "en"
additional_fields[]Array of strings

Список дополнительных полей. Эти поля будут указаны в ответе, если вы отправите их в своем запросе.

Элементы Перечисление"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

Двухбуквенное обозначение страны в верхнем регистре согласно стандарту ISO 3166-1 alpha-2. Ознакомьтесь со списком стран, поддерживаемых Xsolla, а также с процессом определения страны.

Пример: country=US
promo_codestring[ 1 .. 128 ] characters

Уникальный код, чувствительный к регистру. Содержит буквы и цифры.

Пример: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

Отображает предметы с ограниченным сроком действия, которые недоступны пользователю. Срок действия таких предметов еще не начался или уже истек.

По умолчанию 0
Пример: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/59080/items/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Ответы

Список продаваемых товаров из указанной группы успешно получен.

Телоapplication/json
has_moreboolean(Pagination_has-more)

Используется как индикатор того, что остались еще страницы.

Пример: true
itemsArray of objects
Пример: [{"attributes":[],"can_be_bought":true,"description":"Electric shield","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png","is_free":false,"item_id":259774,"limits":{"per_user":{"available":3,"limit_exceeded_visibility":"show","recurrent_schedule":{"interval_type":"weekly","reset_next_date":1746057600},"total":5}},"name":"Electric shield","price":{"amount":"9.99","amount_without_discount":"9.99","currency":"USD"},"promotions":[{"bonus":[{"image_url":"https://cdn.xsolla.net/img/misc/images/2fc5c491a47413a8e8000447889093c2.png","name":"Xsolla Minigun","quantity":1,"sku":"com.xsolla.minigun_1","type":"virtual_good"}],"date_end":"2026-04-15T16:16:00+03:00","date_start":"2020-04-15T16:16:00+03:00","discount":{"percent":"50.00"},"name":"Bonus promotion"}],"sku":"com.xsolla.electric_shield_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":10,"amount_without_discount":10,"calculated_price":{"amount":"10.00","amount_without_discount":"10.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_1","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_1","type":"virtual_currency"},{"amount":200,"amount_without_discount":200,"calculated_price":{"amount":"200.00","amount_without_discount":"200.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_1","type":"virtual_currency"}],"vp_rewards":[{"amount":130,"image_url":"https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg","item_id":175232,"name":"Value point","sku":"com.xsolla.value_point_1"},{"amount":50,"image_url":"https://cdn3.xsolla.com/img/misc/images/54c0cf9d345817cdacfdde198db178e0.jpg","is_clan":true,"item_id":186321,"name":"Clan Reward VP 1","sku":"clan_value_point_sku_1"}]},{"attributes":[],"can_be_bought":true,"description":"Royal shield","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/ed417975312a52efeeab8b039ff25cb1.png","is_free":false,"item_id":259775,"name":"Royal shield","price":{"amount":"19.99","amount_without_discount":"19.99","currency":"USD"},"promotions":[],"sku":"com.xsolla.royal_shield_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_2","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_2","type":"virtual_currency"},{"amount":400,"amount_without_discount":400,"calculated_price":{"amount":"400.00","amount_without_discount":"400.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_2","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Ancient helmet","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/e70e16d9626f435e519fc8e1cc1e7176.png","is_free":false,"item_id":259776,"name":"Ancient helmet","price":{"amount":"1.99","amount_without_discount":"1.99","currency":"USD"},"promotions":[{"bonus":[{"image_url":"https://cdn.xsolla.net/img/misc/images/2fc5c491a47413a8e8000447889093c2.png","name":"Xsolla Minigun","quantity":1,"sku":"com.xsolla.minigun_1","type":"virtual_good"}],"date_end":"2026-04-15T16:16:00+03:00","date_start":"2020-04-15T16:16:00+03:00","discount":{"percent":"50.00"},"name":"Bonus promotion"}],"sku":"com.xsolla.ancient_helmet_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_3","type":"virtual_currency"},{"amount":4,"amount_without_discount":4,"calculated_price":{"amount":"4.00","amount_without_discount":"4.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_3","type":"virtual_currency"},{"amount":40,"amount_without_discount":40,"calculated_price":{"amount":"40.00","amount_without_discount":"40.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_3","type":"virtual_currency"}],"vp_rewards":[]},{"attributes":[],"can_be_bought":true,"description":"Wooden helmet","groups":[{"external_id":"armour","name":"Armour"}],"image_url":"https://cdn3.xsolla.com/img/misc/images/40d2812e52ad9d988ac20fc842fc66f0.png","is_free":false,"item_id":259777,"name":"Wooden helmet","price":{"amount":"0.99","amount_without_discount":"0.99","currency":"USD"},"promotions":[],"sku":"com.xsolla.wooden_helmet_1","type":"virtual_good","virtual_item_type":"non_consumable","virtual_prices":[{"amount":1,"amount_without_discount":1,"calculated_price":{"amount":"1.00","amount_without_discount":"1.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/e2e9ce8b00eb0190c161c4258b899101.png","is_default":true,"item_id":259765,"name":"Gold","sku":"com.xsolla.gold_4","type":"virtual_currency"},{"amount":2,"amount_without_discount":2,"calculated_price":{"amount":"2.00","amount_without_discount":"2.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/015e4f4ea4deb1e2c92d5c21a4d58309.png","is_default":false,"item_id":259766,"name":"Silver","sku":"com.xsolla.silver_4","type":"virtual_currency"},{"amount":20,"amount_without_discount":20,"calculated_price":{"amount":"20.00","amount_without_discount":"20.00"},"description":null,"image_url":"https://cdn3.xsolla.com/img/misc/images/b0beedd5763b612bd3a5631e6cb1d1ff.png","is_default":false,"item_id":259767,"name":"Bronze","sku":"com.xsolla.bronze_4","type":"virtual_currency"}],"vp_rewards":[]}]
Ответ
application/json
{ "has_more": true, "items": [ {}, {}, {}, {} ] }

Получение продаваемого товара по IDClient-side

Запрос

Получает продаваемый товар по его ID.

Примечание

Без авторизации метод возвращает общие данные. Используйте авторизацию, чтобы получить персонализированные данные пользователя, такие как лимиты и акции.
Безопасность
XsollaLoginUserJWT
Путь
project_idintegerобязательный

ID проекта. Вы можете найти этот параметр в Личном кабинете рядом с названием проекта.

Пример: 59080
item_idstringобязательный

ID предмета (артикул).

Пример: 259774
Запрос
promo_codestring[ 1 .. 128 ] characters

Уникальный код, чувствительный к регистру. Содержит буквы и цифры.

Пример: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

Отображает предметы с ограниченным сроком действия, которые недоступны пользователю. Срок действия таких предметов еще не начался или уже истек.

По умолчанию 0
Пример: show_inactive_time_limited_items=1
additional_fields[]Array of strings

Список дополнительных полей. Эти поля будут указаны в ответе, если вы отправите их в своем запросе.

Элементы Перечисление"media_list""order""long_description""custom_attributes""item_order_in_group"
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/59080/items/id/259774?promo_code=WINTER2021&show_inactive_time_limited_items=1&additional_fields%5B%5D=media_list' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Ответы

Продаваемый товар успешно получен.

Телоapplication/json
attributesArray of objects(Virtual-Items-Currency_client-attributes)

Список атрибутов и их значений, соответствующих товару. Может использоваться для фильтрации каталога.

По умолчанию []
Пример: {"value":{"external_id":"genre","name":"Жанр","values":[{"external_id":"genre_e3364991f92e751689a68b96598a5a5a84010b85","value":"Casual"},{"external_id":"genre_eba07bfd0f982940773cba3744d97264dd58acd7","value":"Strategy"},{"external_id":"genre_b8d0c6d8f0524c2b2d79ebb93aa3cd0e8b5199a8","value":"Mobile"}]}}
can_be_boughtboolean

Если true, пользователь может купить товар.

Пример: true
custom_attributesobject(json)(item-custom-attributes-response)

JSON-объект, содержащий атрибуты товара и их значения.

descriptionstring

Описание товара.

Пример: "Electric shield"
groupsArray of objects(items_client_groups_response)

Группы, к которым принадлежит товар.

По умолчанию []
Пример: [{"external_id":"exclusive","name":"Exclusive"}]
image_urlstring

URL-адрес изображения.

Пример: "https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png"
is_freeboolean(value-is_free)

Если true, товар бесплатный.

По умолчанию false
Пример: false
item_idinteger

Внутренний уникальный ID товара, который задается при создании товара.

Пример: 259774
limitsobject or null(Catalog_item_limits)

Ограничения на продажу товара.

namestring

Название товара.

Пример: "Electric shield"
priceobject

Цены на товар.

promotionsArray of objects(Catalog_item_promotions)

Примененные акции для отдельных товаров в корзине. Массив возвращается, если:

  • Скидочная акция настроена для отдельного товара.

  • Используется промокод с настройкой Скидка на выбранные товары.

Если акции на уровне отдельных товаров не применялись, возвращается пустой массив.

skustring

Уникальный ID товара. Артикул может содержать только строчные и заглавные латинские буквы, цифры, точки, тире и подчеркивания.

Пример: "electric_shield"
typestring

Тип товара: virtual_good/virtual_currency/bundle/game_key/physical_good.

Перечисление"virtual_good""virtual_currency""bundle""game_key""physical_good"
Пример: "virtual_good"
virtual_item_typestring

Тип виртуального предмета.

Перечисление ЗначениеОписание
consumable

Предмет исчезает из инвентаря после использования (например, патроны).

non_consumable

Предмет остается в инвентаре в течение неограниченного времени.

non_renewing_subscription

Предмет с ограниченным сроком действия, который может служить представлением доступа к сервисам или контенту в течение ограниченного периода времени.

Пример: "non-consumable"
virtual_pricesArray of objects

Виртуальные цены.

vp_rewardsArray of objects(client-item-value-point-reward)

Стоимость призовых баллов товара.

Ответ
application/json
{ "attributes": [], "can_be_bought": true, "custom_attributes": { "attr": "value", "purchased": 0 }, "description": "Electric shield", "groups": [ {} ], "image_url": "https://cdn3.xsolla.com/img/misc/images/d2d6b1b517e6a7f3765c3bb5a3cfb87d.png", "is_free": false, "item_id": 259774, "limits": { "per_user": {} }, "name": "Electric shield", "price": { "amount": "9.99", "amount_without_discount": "9.99", "currency": "USD" }, "promotions": [ {} ], "sku": "com.xsolla.electric_shield_1", "type": "virtual_good", "virtual_item_type": "non_consumable", "virtual_prices": [ {}, {}, {} ], "vp_rewards": [ {}, {} ] }
Операции
Операции